- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

# product.hh File Reference

Declarations of product(). More...

Include dependency graph for product.hh:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | vcsn
## Functions
Product algorithm
Precondition: is_realtime. Returns a fresh automaton that is the product of the two input ones.
template<typename A, typename T, typename U>
Element< A, T > | product (const Element< A, T > &lhs, const Element< A, U > &rhs, const bool use_geometry=false)
template<typename A, typename T, typename U>
Element< A, T > | product (const Element< A, T > &lhs, const Element< A, U > &rhs, std::map< hstate_t, std::pair< hstate_t, hstate_t > > &, const bool use_geometry=false)

## Detailed Description

Declarations of product().

Algorithm described in ETA, Chapter 1, Section 1.2.b.

See also:
  product()

Definition in file product.hh.